# Package overview

The `dptools` python package provides helper functions to simplify common data preprocessing tasks, including feature engineering, working with missing values, aggregating data and more.

You can install the package by running:

```
pip install dptools
```

## Description

The package currently features the following functions:
- `add_date_features()`: adds date-based features
- `add_text_features()`: adds basic text-based features 
- `aggregate_data()`: aggregates data by a certain feature
- `fill_missings()`: replaces missings with specific values
- `print_missings()`: counts missing values and prints the results
- `label_encoding()`: performs label encoding on partitioned data
- `print_factor_levels()`: prints levels of categorical features

## Examples



## Issues, questions

In case you need help or advice on the included data preprocseeing functions or you want to report an issue, please do so in a reproducible example at the corresponding [GitHub page](https://github.com/kozodoi/dptools/issues).
